> For the complete documentation index, see [llms.txt](https://docs.mapakalamidad.ph/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapakalamidad.ph/routes/floodsarchive.md).

# Baha/Archive

Ang archive ng mga lugar na binabaha (tingnan ang dokumentasyon ng [Floods endpoint](/routes/floods.md)), na ipinakita bilang pinakamataas na flood state na naitala para sa lahat ng mga apektadong lugar sa baha sa loob na tinukoy na panahon. Ang maximum na estado ay naitala kasabay ng area id. Gamitin ang Floods endpoint upang makakuha ng mga hangganan ng geospatial ng mga bawat lugar.

Sa kasuluuyan ang datos na ito ay  magagamit lamang para sa Quezon City at Pampanga.

## Format ng Kahilingan

| Query Parameter | Paglalarawan                                    | Format                                              | Required |
| --------------- | ----------------------------------------------- | --------------------------------------------------- | -------- |
| start           | Oras ng pagsisimula para sa panahon ng archive. | String in ISO 8601 format (YYYY-MM-DDTHH:mm:ss+ZZZZ | Yes      |
| end             | Pagtatapos ng oras para sa panahon ng archive   | String in ISO 8601 format (YYYY-MM-DDTHH:mm:ss+ZZZZ | Yes      |

Tandaan na ang time zone ay dapat na tinukoy bilang +/- ang UTC na mangangailangan ng pag-encode ng character na HTML (hal. +0700 nagiging% 2B0700).

## Kumuha /floods/archive

## KUMUHA /floods

Ilista ang lahat ng mga lugar na binabaha sa Jakarta na may flood gauge ng 1 o mas mataas.

```
curl "https://data.petabencana.id/floods/archive?start=2017-06-07T00:00:00%2B0700&end=2017-06-08T23:00:00%2B0700"
```

Ang mga resulta ay ang mga sumusunod:

```javascript
    {
        "statusCode": 200,
        "result": [
            {
                "area_id": "509",
                "last_updated": "2017-11-03T22:57:01.387Z",
                "max_state": 1
            },
            {
                "area_id": "510",
                "last_updated": "2017-11-03T22:57:10.463Z",
                "max_state": 4
            }
        ]
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapakalamidad.ph/routes/floodsarchive.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
